check for missing .onion capsules

This commit is contained in:
nervuri 2021-09-16 17:46:43 +00:00
parent a86d7b467d
commit 9425ca5b0d
Signed by: nervuri
GPG Key ID: C4769EEA7BA61672
1 changed files with 5 additions and 0 deletions

View File

@ -60,6 +60,11 @@ hosts=$(echo "$hosts" | grep '\.\|:')
# Remove explicitly excluded hosts.
hosts=$(echo "$hosts" | grep -vxEf excluded-hosts)
if ! echo "$hosts" | grep -qE '\.onion(:.*)?$'; then
>&2 echo "The .onions are missing!"
exit 1
fi
if [ -z "$hosts" ]; then
>&2 echo "hosts file downloads failed."
exit 1